| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Public Attributes

# Tp::RefCounted Class Reference

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/shared-ptr.h>`

Inherited by Tp::Filter< Account >, Tp::MethodInvocationContext<>, Tp::AbstractClient, Tp::Account, Tp::AccountManager, Tp::AccountSet, Tp::Channel, Tp::ChannelDispatchOperation, Tp::ChannelFactory::Constructor, Tp::ChannelRequest, Tp::ClientRegistrar, Tp::Connection, Tp::ConnectionManager, Tp::ContactFactory, Tp::DBusProxyFactory, Tp::Filter< T >, Tp::MediaContent, Tp::MediaStream, Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >, Tp::Profile, and Tp::ProfileManager.

List of all members.

## Public Member Functions

- RefCounted ()
- virtual ~RefCounted ()
- void ref ()
- bool deref ()
- void ref () const
- bool deref () const

## Public Attributes

- QAtomicInt strongref
- WeakData * wd

## Constructor & Destructor Documentation

Tp::RefCounted::RefCounted | ( |  | ) | `[inline]`

virtual Tp::RefCounted::~RefCounted | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void Tp::RefCounted::ref | ( |  | ) | `[inline]`

bool Tp::RefCounted::deref | ( |  | ) | `[inline]`

void Tp::RefCounted::ref | ( |  | ) | const`[inline]`

bool Tp::RefCounted::deref | ( |  | ) | const`[inline]`

## Member Data Documentation

QAtomicInt Tp::RefCounted::strongref `[mutable]`

WeakData* Tp::RefCounted::wd